/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-03-12  Gelin   Initially created.
 */

package ru.gelin.games.javatris.ui;

import javax.swing.JButton;
import javax.swing.Action;

/**
 *  Represents button changed a little for tool bars.
 *  @see    ILabelModel
 */
public class ToolBarButton extends JButton {

    /**
     *  Public constructor.
     *  @param  aoAction    action for button creation.
     */
    public ToolBarButton(Action aoAction) {
        super(aoAction);
        setFocusable(false); //all changes are here
        //all dirty work is done by AToolBarAction
    }

}
