/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-01-15  Gelin   Initially created.
 */

package ru.gelin.games.javatris.ui;

import java.util.EventListener;

/**
 *  Interface for label model listener.
 *  @see    ILabelModel
 *  @see    ModeledLabel
 */
public interface ILabelListener extends EventListener {

    /**
     *  Invokes when label model changed
     *  @param  aoEvent event with info about changes in label model
     */
    public void labelChanged(LabelEvent aoEvent);

}