/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2005-11-20  Gelin   Initially created
 */

package ru.gelin.games.javatris.ui;

/**
 *  Constant values of showing toolbar buttons
 */
public interface IToolBarModes {

    /** need to show only text */
    public int SHOW_TEXT_ONLY = 1;

    /** need to show only icon */
    public int SHOW_ICON_ONLY = 2;
           
    /** need to show icons and text at all buttons */
    public int SHOW_ICON_AND_TEXT = 3;

    /** need to show icons but text not at all buttons */
    public int SHOW_SELECTIVE = 7;

}